Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452176 - Provided LDAP schema and res_ldap.conf do not work with realtime LDAP backend
Summary: Provided LDAP schema and res_ldap.conf do not work with realtime LDAP backend
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 20:46 UTC by W. Michael Petullo
Modified: 2009-06-17 03:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-17 03:36:35 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2008-06-19 20:46:41 UTC
Description of problem:
The LDAP schema and res_ldap.conf provided by asterisk-ldap are not compatible with the latest 
realtime LDAP backend.

Version-Release number of selected component (if applicable):
asterisk-1.6.0-0.13.beta8.fc9

How reproducible:
Every time

Steps to Reproduce:
See upstream bug report.
  
Actual results:
See upstream bug report.

Expected results:
See upstream bug report.

Additional info:
See http://bugs.digium.com/view.php?id=12860.

In addition to not working with the latest Asterisk LDAP backend, the schema example provided by 
asterisk does not seem to be compatible with the Fedora Directory Server. I'm not sure where LDAP 
schemas should go, but some package should provide a updated schema that is compatible with FDS. 
See bug #441026 for a discussion on where schemas go.

Comment 1 Jeffrey C. Ollie 2008-06-19 21:00:09 UTC
I've added myself to the upstream bug.... Once this is resolved upstream I'll
pull in whatever patches or changes are necessary.

Comment 2 Jeffrey C. Ollie 2009-01-04 19:05:23 UTC
Is this still an issue with 1.6.0.2 or newer?  I've just pushed builds of 1.6.0.2 to F-10 updates testing.  1.6.1-beta4 will be in rawhide soon as well.

Comment 3 W. Michael Petullo 2009-01-05 01:11:11 UTC
Good: It looks like the res_ldap.conf included in your Rawhide RPM has the patch I submitted upstream. The asterisk SVN confirms that its was committed prior to 1.6.1-beta4.

Bad: However, upstream still does not provide a schema for the Fedora Directory Server. I also submitted this upstream, but it has not yet been included. 

See http://bugs.digium.com/view.php?id=12860. The file needed for the Fedora Directory Server is 99asterisk.ldif (http://bugs.digium.com/file_download.php?file_id=19198&type=bug). This should be installed at /etc/dirsrv/schema.

Both the "Good" item and "Bad" item above are needed to integrate asterisk-ldap with the Fedora Directory Server.

Note: /etc/dirsrv and /etc/dirsrv/schema are owned by the fedora-ds-base package.

Comment 4 Jeffrey C. Ollie 2009-01-05 02:26:15 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1032324

OK, here's a build for rawhide that has grown an asterisk-ldap-fds subpackage that installs the 99asterisk.ldif file and requires fedora-ds-base.  Is this something that will work in 1.6.0.2/F-10 as well?  Does that have all the necessary patches? (except for the 99asterisk.ldif).

Should I be doing something similar for OpenLDAP?

Comment 5 Fedora Update System 2009-01-05 03:30:29 UTC
asterisk-1.6.0.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.2-4.fc10

Comment 6 Jeffrey C. Ollie 2009-01-05 03:35:50 UTC
Went and looked at the history and it does seem that your patches made it into 1.6.0.2 so I added the asterisk-ldap-fds subpackage to F-10 too.

Comment 7 Jeffrey C. Ollie 2009-01-05 04:14:27 UTC
Also, you should ping upstream to make sure that the 99asterisk.ldif file gets included in the released version.

Comment 8 Fedora Update System 2009-01-07 09:32:08 UTC
asterisk-1.6.0.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0206

Comment 9 Fedora Update System 2009-01-08 22:24:35 UTC
asterisk-1.6.0.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/asterisk-1.6.0.3-1.fc10

Comment 10 Fedora Update System 2009-01-15 02:59:21 UTC
asterisk-1.6.0.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0448

Comment 11 Fedora Update System 2009-01-15 03:06:41 UTC
asterisk-1.6.0.3-1.fc9, dahdi-tools-2.0.0-1.fc9, libresample-0.1.3-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update asterisk dahdi-tools libresample'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0536

Comment 12 Fedora Update System 2009-01-27 01:48:34 UTC
asterisk-1.6.0.5-2.fc9, libresample-0.1.3-9.fc9, dahdi-tools-2.0.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update asterisk libresample dahdi-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0973

Comment 13 Fedora Update System 2009-01-27 01:49:39 UTC
asterisk-1.6.0.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update asterisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0984

Comment 14 Bug Zapper 2009-06-10 01:42:00 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.